Bug Hunting Session
Bug 115685 - [NEWHELP] Add new Help UI strings to Pootle
Summary: [NEWHELP] Add new Help UI strings to Pootle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-02-13 14:22 UTC by Olivier Hallot
Modified: 2018-06-08 14:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-02-13 14:22:35 UTC
Description:
New Help UI strings are manually translated in a xsl file. 

The objective is to have the set of strings of this UI uploaded to Pootle, translated and returned to the xsl file.

Further, if the UI is improved with more strings, the process should handle the improvements.

Steps to Reproduce:
Enhancement. Does not exist currently

Actual Results:  
UI for new help is manually translated in the file localized.xsl.

Expected Results:
Translations os new help UI should be inside the translation process.


Reproducible: Always


User Profile Reset: No



Additional Info:
The file that contains the localized strings is 

helpcontent2/help3xls/localized.xsl

This file can be reorganized if necessary, but the main XSLT must be modified accordingly.

Strings are (en-US, localized)

Contents, Contenu
Index, Index
Language, Langue
etc...




User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Commit Notification 2018-05-08 12:23:26 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7f7ccb74ab2b637826d1412ad3e63aa7f0ce296e

tdf#115685 Bring new help UI strings to Pootle
Comment 2 Xisco Faulí 2018-06-08 11:04:14 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks